using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Runtime.InteropServices;




namespace GradientListViewDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            #if DEBUG
                MinimizeBox = false;
            #else
                MinimizeBox = true;
            #endif
        }

        [DllImport("coredll.dll")]
        static extern int SendMessage(IntPtr hwnd, uint msg, int wParam,
           int lParam);

        const int LVS_EX_GRADIENT = 0x20000000;
        const int LVM_SETEXTENDEDLISTVIEWSTYLE = 0x1000 + 54;

        // Создаем градиентный фон для ListView
        private void CreateGradientListView(ListView listView)
        {
            // Получим дескриптор ListView
            IntPtr hLV = listView.Handle;

            // Устанавливаем расширенный стиль
            SendMessage(hLV, (uint)LVM_SETEXTENDEDLISTVIEWSTYLE, 0,
               LVS_EX_GRADIENT);
            // Обновляем вид
            listView.Refresh();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            CreateGradientListView(listView1);
        }

    }
}